CREATE TABLE "qcp_tools" (
  'tool_id' INTEGER PRIMARY KEY AUTOINCREMENT,
  'unique_key' VARCHAR NOT NULL,
  'name' VARCHAR NOT NULL,
  'cate_id' INTEGER ,
  'cate_name' VARCHAR,
  'icon' VARCHAR,
  'description' VARCHAR,
  'view_id' INTEGER,
  'source' INTEGER,
  'created' TIMESTAMP,
  'updated' TIMESTAMP,
  'subscribe' INTEGER,
  'enabled' INTEGER,
  'can_push' INTEGER,
  'badge' INTEGER,
  't_order' INTEGER,
  'is_new' INTEGER,
  'version' INTEGER,
  'need_badge' INTEGER,
  'title_color' VARCHAR,
  'js_text' VARCHAR,
  'cmd' VARCHAR,
  'gift_code' VARCHAR);

CREATE TABLE "clock_warn" (
  'id' INTEGER PRIMARY KEY AUTOINCREMENT,
  'clock_time' TIMESTAMP,
  'clock_content' VARCHAR);

CREATE TABLE "extra_function_item_info"(
  '_id' INTEGER PRIMARY KEY AUTOINCREMENT,
  'name' TEXT,
  'key' TEXT,
  'title' TEXT,
  'icon' TEXT,
  'badge' INTEGER,
  'cmd' TEXT,
  'is_new' TEXT,
  'js_text' TEXT,
  'version' INTEGER,
  'seq' TEXT);