CREATE TABLE "car_violation" (
	'id'	INTEGER PRIMARY KEY AUTOINCREMENT,
	'violation_city_id'	INTEGER,
	'data'	TEXT,
	'address'	TEXT,
	'detail'	TEXT,
	'money'	INTEGER,
	'point'	INTEGER,
	'pos_id'	INTEGER,
	'lng'	TEXT,
	'lat'	TEXT,
	'comms'	INTEGER,
	'times'	INTEGER,
	'level'	INTEGER,
	'status'	TEXT,
	'status_text'	TEXT,
	'violation_img' VARCHAR,
	'city_id' TEXT,
	'payStatus' INTEGER,
	'payStatusName' TEXT,
	'apikey' TEXT,
	'unique_id' TEXT,
	'service_money' TEXT,
	'orderNumber' TEXT,
	'order_type' TEXT
);
CREATE TABLE "car_violation_city" (
"id" INTEGER PRIMARY KEY AUTOINCREMENT,
"carinfo_id" INTEGER NOT NULL,
"city_api_key" INTEGER NOT NULL,
"push_enable" INTEGER ,
"update_time" INTEGER,
"violation_count" INTEGER
);
CREATE TABLE "carinfo" (
"id" INTEGER PRIMARY KEY AUTOINCREMENT,
"photo" TEXT,
"photo_id" TEXT,
"car_type" TEXT,
"car_type_name" TEXT,
"car_belong_key" TEXT,
"car_num" TEXT,
"ower_remark" TEXT,
"photo_name" TEXT,
"needs_val" TEXT,
"car_model" TEXT,
"car_brand" TEXT,
yi_switch INTEGER,
yi_type INTEGER,
yi_date INTEGER,
yi_remind INTEGER);

CREATE TABLE "carBrandAndModel" (
"id" INTEGER PRIMARY KEY AUTOINCREMENT,
"car_brand" TEXT,
"car_model" TEXT);
CREATE TABLE "city" (
	'id'	INTEGER PRIMARY KEY AUTOINCREMENT,
	'parent_id'	INTEGER,
	'name'	TEXT,
	'api_key'	TEXT,
	'icode'	TEXT,
	'need'	TEXT,
	'requestData'	TEXT,
	'icon_iphone'	TEXT,
	'icon_android'	TEXT,
	'pushEnable'	TEXT,
	'msg'	TEXT,
	'supc'	TEXT,
	'has_sub'	INTEGER,
	'carno_prefix' VARCHAR,
	'cartype_limit' VARCHAR,
	'is_develop'  INTEGER,
	'PAYMENTSUPPORT'	TEXT,
	'PAYMENTAVAILABLE'	TEXT,
	'is_dispatch' INTEGER DEFAULT(0)
);

CREATE TABLE "carinfo_json" ("id" INTEGER PRIMARY KEY AUTOINCREMENT, "carinfo_id" INTEGER, "json" VARCHAR);

CREATE TABLE "carnum_to_city" ('id' INTEGER PRIMARY KEY  AUTOINCREMENT ,'carinfo_id' INTEGER  ,'city_api_key' VARCHAR NOT NULL ,'is_tip_enable' INTEGER DEFAULT (1));
CREATE TABLE "limit_carinfo" ("id" INTEGER PRIMARY KEY  NOT NULL , "car_num" VARCHAR, "car_belong_key" VARCHAR);
CREATE TABLE "limit_city" ("id" INTEGER PRIMARY KEY  NOT NULL ,"city_name" VARCHAR NOT NULL ,"city_api_key" VARCHAR  ,"city_gd_id" VARCHAR , "isTextOn" INTEGER DEFAULT (0) ,"city_rule" VARCHAR,"city_target" VARCHAR,"city_area" VARCHAR,"city_time" VARCHAR,"city_last_rule" NUMERIC DEFAULT(-1) ,"tip" VARCHAR ,"update_time" NUMERIC DEFAULT (0) );
CREATE TABLE "limit_city_rules" ("id" INTEGER, "city_id" VARCHAR, "last_validate_time" NUMERIC, "rule_json" VARCHAR, "update_time" NUMERIC, "city_api_key" VARCHAR);

CREATE TABLE "weather_city" ('id' INTEGER PRIMARY KEY  AUTOINCREMENT , "city_id" INTEGER, "city_name" VARCHAR NOT NULL, "city_code" NUMERIC,"parent_city_code" NUMERIC,"gd_code" VARCHAR,"level" INTEGER, "p" INTEGER ,"py" VARCHAR);