BEGIN TRANSACTION;
DROP TABLE IF EXISTS "qcp_tools";
CREATE TABLE [qcp_tools] (
  [tool_id] INTEGER NOT NULL PRIMARY KEY, 
  [unique_key] VARCHAR NOT NULL, 
  [name] VARCHAR NOT NULL, 
  [cate_id] INTEGER NOT NULL, 
  [cate_name] VARCHAR, 
  [icon] VARCHAR, 
  [description] VARCHAR, 
  [view_id] INTEGER, 
  [source] INTEGER, 
  [created] TIMESTAMP, 
  [updated] TIMESTAMP, 
  [subscribe] INTEGER, 
  [enabled] INTEGER, 
  [can_push] INTEGER, 
  [badge] INTEGER, 
  [t_order] INTEGER, 
  [is_new] INTEGER);
INSERT INTO "qcp_tools" VALUES(29,'qcwh','汽车文化',4,'百科','http://news.auto98.com/data/catelogo/000/00/00/5167a3e44e4ba.png','偶尔，我们想看看这世上那些颇具风骨的人士是怎么样用他们的智慧改变了我们的行车人生。',1,1,'64480-03-03 12:00:00.000','1314-02-26 12:00:00.000',1,0,1,0,6,0);
INSERT INTO "qcp_tools" VALUES(30,'lmhc','嫩模豪车',1,'资讯','http://news.auto98.com/data/catelogo/000/00/00/51a48a10528e7.png','人为什么要看豪车嫩模？是为了树立远大而崇高的志向！为何要在《汽车派》看？因为这里的编辑都是久经考验的社会主义美图战士。',1,1,'64481-09-11 12:00:00.000','9871-08-13 12:00:00.000',1,1,1,0,5,0);
INSERT INTO "qcp_tools" VALUES(31,'ylrd','娱乐热点',1,'资讯','http://news.auto98.com/data/catelogo/000/00/00/51726ddf73e15.png','专业盘点各路人马节操下限，深度挖掘世间奇葩心路历程。未满18岁的少年们请在家长的指导下点开哟。',1,1,'0880-04-12 12:00:00.000','1314-02-13 12:00:00.000',0,0,1,0,4,0);
INSERT INTO "qcp_tools" VALUES(32,'qcby','汽车保养',4,'百科','http://news.auto98.com/data/catelogo/000/00/00/51726e257fed8.png','多位知名汽车保养专栏专家，向你提供用车养车专业意见；另有民间骨灰级高手自曝独家秘籍攻略。',1,1,'0880-06-21 12:00:00.000','1314-02-06 12:00:00.000',1,0,1,0,3,0);
INSERT INTO "qcp_tools" VALUES(33,'mdz','买得值',1,'资讯','http://news.auto98.com/data/catelogo/000/00/00/51a48bc9bce36.png','当我们推荐某款产品，仅会从性价、打折力度、口碑、实用性等方面考虑；永远不会为了填满自己的腰包而对你进行任何形式的欺诈。',1,1,'0880-08-03 12:00:00.000','11541-06-15 12:00:00.000',1,1,1,0,2,0);
INSERT INTO "qcp_tools" VALUES(34,'tjyd','推荐阅读',1,'资讯','http://news.auto98.com/data/catelogo/000/00/00/51a489fcf27f2.png','相信我们，看《汽车派》推荐资讯，做这条街上汽车智商最高的人。是的，此处必须硬广！',1,1,'0880-09-16 12:00:00.000','9871-07-24 12:00:00.000',1,1,1,0,1,0);
INSERT INTO "qcp_tools" VALUES(35,'jchd','精彩活动',1,'资讯','http://news.auto98.com/data/catelogo/000/00/00/51b071b15d7f3.png','我们会经常向您推荐一些活动，让您的行车生活充满乐趣！',1,1,'12007-09-17 12:00:00.000','12008-04-10 12:00:00.000',1,1,1,0,20,0);
INSERT INTO "qcp_tools" VALUES(100001,'tuijian','友情推荐',4,'百科','tool_icon_tuijian','经常推荐一些当下热门或时尚的应用。',100001,0,'14601-06-05 03:48:11.554','14601-06-05 03:48:11.636',1,0,0,0,700,0);
INSERT INTO "qcp_tools" VALUES(100010,'carlogo','车标大全',4,'百科','tool_icon_chebiao','那些有缘无分的精彩也许最终没能成为我们的选择，但这并不妨碍我们去认识去喜爱。',100010,0,'14601-06-05 03:48:11.368','14601-06-05 03:48:11.450',1,1,0,0,600,0);
INSERT INTO "qcp_tools" VALUES(100030,'cejixiong','车牌测吉凶',2,'工具','tool_icon_jixiong','九万铁皮未必“万事如意”，选车上牌就要“名利双来”！我们不迷信，只为更自信。',100030,0,'14601-06-05 03:48:11.286','14601-06-05 03:48:11.368',1,1,0,0,500,0);
INSERT INTO "qcp_tools" VALUES(100040,'nianjian','爱车年检',2,'工具','tool_icon_nianjian','车辆年检流程介绍与注意事项查询，并提供年车辆检提醒服务。',100040,0,'14601-06-05 03:48:11.203','14601-06-05 03:48:11.286',1,0,0,0,100,0);
INSERT INTO "qcp_tools" VALUES(100050,'shigu','事故处理',2,'工具','tool_icon_shigu','征询多名事故处理资深专家意见，并提供酒后代驾、事故私了等服务。',100050,0,'14601-06-05 03:48:11.121','14601-06-05 03:48:11.203',1,1,0,0,400,0);
INSERT INTO "qcp_tools" VALUES(100060,'xianxing','限行提醒',2,'工具','tool_icon_xianxing','汽车派的承诺是：直到中国取消限行，我们绝对终身提醒。',100060,0,'14601-06-05 03:48:11.039','14601-06-05 03:48:11.039',1,1,0,0,300,0);
INSERT INTO "qcp_tools" VALUES(100080,'qichetieba','汽车贴吧',2,'工具','tool_icon_qicheba',NULL,100080,0,NULL,NULL,1,1,0,0,401,0);
COMMIT;
